Index: configure.in
===================================================================
--- configure.in	(revision 3037)
+++ configure.in	(working copy)
@@ -440,7 +440,7 @@
     fi
     AC_DEFINE(C_SOLARIS,1,[os is solaris])
     ;;
-freebsd[45]*)
+freebsd[[45]]*)
     if test "$have_pthreads" = "yes"; then
 	THREAD_LIBS="-pthread -lc_r"
 	TH_SAFE="-thread-safe"
@@ -453,7 +453,7 @@
     AC_DEFINE(C_BSD,1,[os is freebsd 4 or 5])
     use_gethostbyname_r="no"
     ;;
-freebsd6*)
+freebsd[[67]]*)
     if test "$have_pthreads" = "yes"; then
 	THREAD_LIBS="-lthr"
 	TH_SAFE="-thread-safe"
